Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSimpleTypeRestriction

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaSimpleTypeContent
                  org.apache.ws.commons.schema.XmlSchemaSimpleTypeRestriction

    public class XmlSchemaSimpleTypeRestriction

extends XmlSchemaSimpleTypeContent

Class for the restriction of simpleType elements. Represents the World Wide Web Consortium (W3C) restriction element for simple types.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSimpleTypeRestriction()` Creates new XmlSchemaSimpleTypeRestriction

Method Summary
`XmlSchemaSimpleType` | `getBaseType()`
`javax.xml.namespace.QName` | `getBaseTypeName()`
`XmlSchemaObjectCollection` | `getFacets()`
`void` | `setBaseType(XmlSchemaSimpleType baseType)`
`void` | `setBaseTypeName(javax.xml.namespace.QName baseTypeName)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSimpleTypeRestriction

    public XmlSchemaSimpleTypeRestriction()

  Creates new XmlSchemaSimpleTypeRestriction

Method Detail

### getBaseType

    public XmlSchemaSimpleType getBaseType()

### setBaseType

    public void setBaseType(XmlSchemaSimpleType baseType)

### getBaseTypeName

    public javax.xml.namespace.QName getBaseTypeName()

### setBaseTypeName

    public void setBaseTypeName(javax.xml.namespace.QName baseTypeName)

### getFacets

    public XmlSchemaObjectCollection getFacets()

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.